Package org.drinkless.tdlib

# Class TdApi.InternalLinkTypeBusinessChat

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.InternalLinkType
org.drinkless.tdlib.TdApi.InternalLinkTypeBusinessChat

Enclosing class:
  `TdApi`

public static class TdApi.InternalLinkTypeBusinessChat extends TdApi.InternalLinkType
The link is a link to a business chat. Use getBusinessChatLinkInfo with the provided link name to get information about the link, then open received private chat and replace chat draft with the provided text.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.InternalLinkType

  `TdApi.InternalLinkType.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `String`
  `linkName`
  Name of the link.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InternalLinkTypeBusinessChat()`
  The link is a link to a business chat.
  `InternalLinkTypeBusinessChat(String linkName)`
  The link is a link to a business chat.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### linkName

    public String linkName
    Name of the link.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### InternalLinkTypeBusinessChat

    public InternalLinkTypeBusinessChat()
    The link is a link to a business chat. Use getBusinessChatLinkInfo with the provided link name to get information about the link, then open received private chat and replace chat draft with the provided text.

  - ### InternalLinkTypeBusinessChat

    public InternalLinkTypeBusinessChat(String linkName)
    The link is a link to a business chat. Use getBusinessChatLinkInfo with the provided link name to get information about the link, then open received private chat and replace chat draft with the provided text.
    Parameters:
      `linkName` - Name of the link.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.InternalLinkType`
    Returns:
      this.CONSTRUCTOR